Debian Bug report logs - #611061
ITA: pycxx -- A Set of facilities to extend Python with C++

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Matthias Klose <doko@debian.org>

Date: Tue, 25 Jan 2011 07:54:01 UTC

Owned by: Julian Taylor <jtaylor.debian@googlemail.com>

Severity: normal

Fixed in version pycxx/6.2.3-1

Done: Julian Taylor <jtaylor.debian@googlemail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#611061; Package wnpp. (Tue, 25 Jan 2011 07:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 25 Jan 2011 07:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: pycxx - A Set of facilities to extend Python with C++
Date: Tue, 25 Jan 2011 08:50:42 +0100
Package: wnpp
Severity: normal

Description: A Set of facilities to extend Python with C++
 PyCXX is a set of C++ facilities to make it easier to write Python
 extensions.  The chief way in which PyCXX makes it easier to write
 Python extensions is that it greatly increases the probability that
 your program will not make a reference-counting error and will not
 have to continually check error returns from the Python C API.

used as a b-d for pysvn (and svn-workbench)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#611061; Package wnpp. (Fri, 18 Feb 2011 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 18 Feb 2011 22:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 611061@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: 611061@bugs.debian.org
Cc: Matthias Klose <doko@debian.org>
Subject: ITA: pycxx - A Set of facilities to extend Python with C++
Date: Fri, 18 Feb 2011 23:07:32 +0100
[Message part 1 (text/plain, inline)]
retitle 611061 ITA: pycxx - A Set of facilities to extend Python with C++
owner 611061 !

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I would like to adopt this package.
Upstream will probably release a new version 6.2.3 very soon (already tagged
in repo). After this I'll see to do an adopting upload.
Would you be willing to sponsor it when the time comes?

I'll also look into adopt the rdepends when no one else does so in near
future.

Regards,
Julian Taylor

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJNXu0uAAoJEDLMSqwCh1b/XnwP/05Mm+WwLQrwbWOD2Mz0YLFg
+KdxyHVQJfYOORCNXb8BGW4qq1AgI62xM+hkToMHlPMTBnuMZU7OmF/6GLCPVFR3
B6Hsjz5qMPjzjw25Coz2AFPGESggfno92LFgSKsjjs5tDeC0LufoQJGMd9gOU06M
wd7J+IDSdaIgaQvxSkH6CZVcTPtp5JWgBS3RyFO9Z0voza30sj5FT72UQxpMmGWz
9JvOn+DjyXsUA4JWpfOA5FX69WVxd3voeXS9eZZLqeuw0D/vplK/moeilvoOkdmW
DTmdQKQkvqpR9JNEsbjp57ydEf+Tct9R62m83CJBJifOpHaAJinYik1mfu99kA1n
DfQ2D8HxeIMQQGZg3t1CVXr68Mu/ac5K1ViYUDkXuKoZJbGdONCDEkUxvhrpBtTh
IESpD55jXHGuhe8YTfJDSLoiVX6cgXJRaYKCKq3wcWYk8V0oX5QOHo4v9M9HmOGD
3gB5CEkTmGRoYH+U208yGD9wgYc1uwXoKwIgobElidVQnerhOD0lG63J0AP9ORAs
wORBRkM1hazdFIGMR5JLH/yjsgGa2jAjIweRVLscOgT9OQuRqBJg//OMcG+u7uTa
E8WpSafJjMVt6FtX0XYaWrGODMwMLkKEtOhYjV5SnFnlXBh2ylKf1gHKb55AQwGT
4xJPv06Y/9SevZ6OB9c0
=k+Sh
-----END PGP SIGNATURE-----
[Message part 2 (text/html, inline)]

Changed Bug title to 'ITA: pycxx - A Set of facilities to extend Python with C++' from 'O: pycxx - A Set of facilities to extend Python with C++' Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Fri, 18 Feb 2011 22:45:14 GMT) Full text and rfc822 format available.

Owner recorded as Julian Taylor <jtaylor.debian@googlemail.com>. Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Fri, 18 Feb 2011 22:45:14 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: pycxx -- A Set of facilities to extend Python with C++' from 'ITA: pycxx - A Set of facilities to extend Python with C++' Request was from Aníbal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 16 Mar 2011 01:51:08 GMT) Full text and rfc822 format available.

Reply sent to Julian Taylor <jtaylor.debian@googlemail.com>:
You have taken responsibility. (Sat, 16 Apr 2011 16:42:14 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Sat, 16 Apr 2011 16:42:14 GMT) Full text and rfc822 format available.

Message #21 received at 611061-close@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: 611061-close@bugs.debian.org
Subject: Bug#611061: fixed in pycxx 6.2.3-1
Date: Sat, 16 Apr 2011 16:39:59 +0000
Source: pycxx
Source-Version: 6.2.3-1

We believe that the bug you reported is fixed in the latest version of
pycxx, which is due to be installed in the Debian FTP archive:

pycxx_6.2.3-1.debian.tar.gz
  to main/p/pycxx/pycxx_6.2.3-1.debian.tar.gz
pycxx_6.2.3-1.dsc
  to main/p/pycxx/pycxx_6.2.3-1.dsc
pycxx_6.2.3.orig.tar.gz
  to main/p/pycxx/pycxx_6.2.3.orig.tar.gz
python-cxx-dev_6.2.3-1_all.deb
  to main/p/pycxx/python-cxx-dev_6.2.3-1_all.deb
python-cxx_6.2.3-1_all.deb
  to main/p/pycxx/python-cxx_6.2.3-1_all.deb
python3-cxx-dev_6.2.3-1_all.deb
  to main/p/pycxx/python3-cxx-dev_6.2.3-1_all.deb
python3-cxx_6.2.3-1_all.deb
  to main/p/pycxx/python3-cxx_6.2.3-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 611061@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julian Taylor <jtaylor.debian@googlemail.com> (supplier of updated pycxx package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 16 Apr 2011 01:47:47 +0200
Source: pycxx
Binary: python-cxx python-cxx-dev python3-cxx python3-cxx-dev
Architecture: source all
Version: 6.2.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Julian Taylor <jtaylor.debian@googlemail.com>
Description: 
 python-cxx - A Set of facilities to extend Python with C++
 python-cxx-dev - A Set of facilities to extend Python with C++
 python3-cxx - A Set of facilities to extend Python3 with C++
 python3-cxx-dev - A Set of facilities to extend Python3 with C++
Closes: 611061
Changes: 
 pycxx (6.2.3-1) unstable; urgency=low
 .
   * New maintainer (Closes: #611061)
   * Imported Upstream version 6.2.3
   * drop debian patches changing comment style + indentation
   * change to source format 3.0 (quilt)
   * quiltify include path changing patches
   * quiltify indentation fix patch of setup.py
     - update version number to 6.2.3
   * simplify debian/rules by using debhelper 7
   * made non -dev packages virtual, files now contained in -dev packages
   * removed build dependency on python{,3}-dev, was never needed
   * debian/control:
     - set Homepage to http://cxx.sourceforge.net/
     - added Vcs-* fields
   * Bump standard version to 3.9.2
Checksums-Sha1: 
 b175f49cef4cba1136da952904822442c7bcab4c 1363 pycxx_6.2.3-1.dsc
 12245dd18e3bd1d5dc4190d01eba6dd31ff39c07 140787 pycxx_6.2.3.orig.tar.gz
 a78369128ac59ecd36fd7d02ae261dc2936c91b7 6150 pycxx_6.2.3-1.debian.tar.gz
 2cb7f149ca34a391e659e94a74dabb19c60c233c 5068 python-cxx_6.2.3-1_all.deb
 de742465204f5561d4150753bd6bee2f57b1b108 114854 python-cxx-dev_6.2.3-1_all.deb
 9b7b013a90066022a6892ac52a25ef185f177413 4892 python3-cxx_6.2.3-1_all.deb
 f059f512f9b2e541afd5236f5719919fb6f55f3e 86284 python3-cxx-dev_6.2.3-1_all.deb
Checksums-Sha256: 
 96ba2e967e30578c0ec964007cc3e01c638c5373280a447b8ce64c1bf46b8161 1363 pycxx_6.2.3-1.dsc
 74b89aec29f3fc40ce08b402f05bb6955f6546a796d2aeb3193737a268f6a4f2 140787 pycxx_6.2.3.orig.tar.gz
 c86b0c777d5d72be7a4c6053cca55299a6cd08d272632941812546fe005d1542 6150 pycxx_6.2.3-1.debian.tar.gz
 72b9a15411fcf2d4cd21d61e48e4aa2fe926a8714b59f339ddd92cdbc80bf6c3 5068 python-cxx_6.2.3-1_all.deb
 1a1649ca1886254ecc05a56233563a0e81d1b94d1169ee79d4e13a83bdeaa4ce 114854 python-cxx-dev_6.2.3-1_all.deb
 ffda0626fb2b650d92c92bc963f9ce491eec4aa054fa37c4a6455b1e913e12b2 4892 python3-cxx_6.2.3-1_all.deb
 9401d94d24540ace00a7c4898920fffbdd228f0e99bc9ee2634f9aa4a360d184 86284 python3-cxx-dev_6.2.3-1_all.deb
Files: 
 e6a72b9441c4f25add0aae7ba053fefa 1363 python optional pycxx_6.2.3-1.dsc
 4e545ad225df9c14a3b344b1e6224661 140787 python optional pycxx_6.2.3.orig.tar.gz
 665df4af66a6eae4c045acf23964dcd8 6150 python optional pycxx_6.2.3-1.debian.tar.gz
 8ad1775aef230d5f29f125f5177ffddf 5068 oldlibs optional python-cxx_6.2.3-1_all.deb
 2380f577d2738b2f9043d547b3496313 114854 python optional python-cxx-dev_6.2.3-1_all.deb
 86a777fa69e0570ea9cef60a3433fbe6 4892 oldlibs optional python3-cxx_6.2.3-1_all.deb
 ee3c3a33c60bf82048a1c759a4c60182 86284 python optional python3-cxx-dev_6.2.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk2pvNcACgkQHajaM93NaGqhuACeLRF/bo8UlcVJutUCj0mybguI
vAQAn3es2O9FP5dcdWYwUCXFhz76/rRu
=SMPr
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 May 2011 07:37:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:19:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.